import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/TextOrButtonFormField/text_or_button_form_field.dart';

import 'package:recup_app_storybook/stories/data_display/avatar/avatar.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupTextOrButtonFormField extends Story {
  StoryRecupTextOrButtonFormField()
      : super(
          name: 'Buttons/TextOrButtonFormField',
          builder: (context) {
            const foto =
                "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";
            return Padding(
              padding: const EdgeInsets.symmetric(horizontal: 8.0),
              child: RecupTextOrButtonFormField(
                onChanged: (value) {
                  print(value);
                },
                controller: TextEditingController(
                  text: 'Recup App',
                ),
                isDense: context.knobs.boolean(
                  label: 'isDense',
                  initial: false,
                  description: 'Deixa o input denso',
                ),
                keyboardType: context.knobs.boolean(
                  label: 'keyboardType',
                  initial: false,
                  description: 'Campo de Texto com comportamento de password',
                )
                    ? TextInputType.visiblePassword
                    : null,
                isButton: context.knobs.boolean(
                  label: 'isButton',
                  initial: false,
                  description: 'Transforma o input de texto em input de botão',
                )
                    ? true
                    : false,
                prefixIcon: context.knobs.boolean(
                  label: 'prefixIcon',
                  initial: true,
                  description: 'Opção de texto na esquerda',
                )
                    ? SizedBox(
                        width: 150,
                        child: Row(
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: const [
                            Icon(Icons.add),
                            SizedBox(
                              width: 5,
                            ),
                            Text('Text Exemple'),
                          ],
                        ),
                      )
                    : null,
                suffixIcon: context.knobs.boolean(
                  label: 'suffixIcon',
                  initial: true,
                  description: 'Opção de texto na direita',
                )
                    ? SizedBox(
                        width: 70,
                        child: Row(
                          children: const [
                            Icon(Icons.search),
                            SizedBox(
                              width: 10,
                            ),
                            RecupAvatar(
                              foto: foto,
                            )
                          ],
                        ),
                      )
                    : null,
                textAlign: TextAlign.center,
              ),
            );
          },
        );
}
