import 'package:flutter/material.dart';

import 'package:recup_app_storybook/stories/buttons/ElevatedButton/elevated_button.dart';

import 'package:recup_app_storybook/stories/data_display/avatar/avatar.dart';

class RecupCardDeposits extends StatelessWidget {
  final String titulo;
  final String subtitulo;
  final Color avatarBackgroundColor;
  final int quantityValue;
  final int recoinsValue;
  final String? foto;

  const RecupCardDeposits({
    Key? key,
    required this.titulo,
    required this.subtitulo,
    required this.avatarBackgroundColor,
    required this.foto,
    required this.quantityValue,
    required this.recoinsValue,
  }) : super(key: key);

  final photo =
      "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Container(
        height: 290,
        width: 228,
        decoration: BoxDecoration(
          border: Border.fromBorderSide(
            BorderSide(
              width: 1,
              color: Theme.of(context).primaryColor,
            ),
          ),
          borderRadius: const BorderRadius.all(
            Radius.circular(12.0),
          ),
        ),
        child: Padding(
          padding: const EdgeInsets.all(22.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(height: 10),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  RecupAvatar(
                      backgroundColor: avatarBackgroundColor,
                      foto: foto ?? '',
                      size: RecupAvatarSize.medium),
                  Text(
                    "+ $recoinsValue",
                    style: Theme.of(context).textTheme.headlineSmall,
                  ),
                ],
              ),
              const SizedBox(height: 35),
              Column(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    titulo,
                    maxLines: 2,
                    overflow: TextOverflow.ellipsis,
                    style: Theme.of(context).textTheme.titleSmall,
                  ),
                  Text(
                    subtitulo,
                    maxLines: 2,
                    overflow: TextOverflow.ellipsis,
                    style: Theme.of(context)
                        .textTheme
                        .labelLarge
                        ?.copyWith(color: Theme.of(context).primaryColor),
                  ),
                  Text(
                    "$quantityValue units",
                    style: Theme.of(context).textTheme.labelLarge,
                  ),
                ],
              ),
              const SizedBox(height: 22),
              RecupElevatedButton(
                onPressed: () {},
                child: const Text('value'),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
