import 'package:flutter/material.dart';

class RecupStatus extends StatelessWidget {
  final Widget child;
  final EdgeInsetsGeometry? padding;
  final Color? color;

  const RecupStatus({
    Key? key,
    required this.child,
    this.padding = const EdgeInsets.all(5),
    this.color,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(50),
        color: color ?? Theme.of(context).colorScheme.primary,
      ),
      child: child,
    );
  }
}
